Skip to main content
POST
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
actions
/
resume
cURL
# Resume All Web3 Actions for Project
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/actions/resume' \
  -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
  -H 'content-type: application/json' \
  --data-raw '{"actions":[]}' \
  --compressed

# Resume Multiple Web3 Actions for Project
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/actions/resume' \
  -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
  -H 'content-type: application/json' \
  --data-raw '{"actions":["10fe403e-5e9a-4798-9e1f-0737dbf308d4"]}' \
  --compressed
{
  "error": {
    "id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
    "slug": "bad_request",
    "message": "Bad request input parameters"
  }
}

Authorizations

X-Access-Key
string
header
required

An API key is a token that a client provides when making API calls. The key can be sent as a request header:

curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulate' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
...

Learn how to generate API access tokens at Tenderly Docs.

Path Parameters

accountSlug
string
required

Account slug of the user

projectSlug
string
required

Project slug of the account

Body

application/json

Resume web3 actions payload

actions
string[]
required

List of web3 action IDs.

Example:
["10fe403e-5e9a-4798-9e1f-0737dbf308d4"]

Response

The web3 actions were started successfully.